#define I2C_SLAVE_ADDRESS 0x5 // Address of the slave 
#include <TinyWireS.h >  //include TinyWireS.h library

//set up the variable
int pushed = 1; 
int notPushed = 3;
int button = 4; 
int buttval = 0;

void setup() {

  TinyWireS.begin(I2C_SLAVE_ADDRESS); // join i2c network sending slave address
//TinyWireS.onReceive(receiveEvent); // not using this
TinyWireS.onRequest(requestEvent);

//Setting up the pins to be INPUTS and OUTPUTS
  pinMode(pushed, OUTPUT);
  pinMode(notPushed, OUTPUT);
  pinMode(button, INPUT);

  digitalWrite (pushed, LOW); //setting pin 1 resistor to pulldown
  digitalWrite (notPushed, HIGH); //setting pin 3 resistor to pull up
}

void loop() {
  //if statements setting the variable 'buttval' to a boolean of High or Low (True or false/1 or 0 equivalent) and lighting a red LED or green, depending if the button is pressed.
  buttval = digitalRead(button);
  if (buttval == HIGH){
    digitalWrite(pushed, HIGH);
    digitalWrite (notPushed, LOW);
    
  }
  
  else {
    digitalWrite (pushed, LOW);
    digitalWrite (notPushed, HIGH);
    
  }

  // This needs to be here
TinyWireS_stop_check();
} // Gets called when the ATtiny receives an i2c request
void requestEvent()
{ TinyWireS.send(buttval); //sending value of button to master
}
